# -*- coding: utf-8 -*-

####################################################################
# FlexDB
# Guenther Starnberger <gst@sysfrog.org>
####################################################################

# Python / Zope ####################################################
from AccessControl import  ClassSecurityInfo
####################################################################

# Plone / Archetypes ###############################################
from Products.Archetypes.public import OrderedBaseFolderSchema, Schema
from Products.Archetypes.public import OrderedBaseFolder, registerType
from Products.Archetypes.public import TextField, RichWidget
from Products.Archetypes.Marshall import PrimaryFieldMarshaller
from Products.ATSchemaEditorNG.ParentManagedSchema import ParentManagedSchema
####################################################################

# FlexDB ###########################################################
import config
####################################################################

class FlexDBCategory(OrderedBaseFolder):
    '''This is a FlexDBCategory which can be created inside FlexDB'''

    # A category is transparent to Zope Aquisition. It is used to
    # categorize data, but doesn't have any functionality by itself.

    __implements__ = (OrderedBaseFolder.__implements__)

    meta_type = portal_type = 'FlexDBCategory'

    security = ClassSecurityInfo()

    # Factory Type Information
    global_allow = False
    filter_content_types = True
    allowed_content_types = ('FlexDBItem', 'FlexDBCategory', )
    
    content_icon = 'flexdb_category_icon.gif'

    _at_rename_after_creation = True

    schema = OrderedBaseFolderSchema.copy()

    actions = ( {'id': 'view',
                 'name': 'View',
                 'action': 'string:${object_url}/flexdb_list',
                 'permissions': (config.view_permission,)},)


registerType(FlexDBCategory, config.PROJECTNAME)
