from Products.Archetypes.Widget import StringWidget
from Products.Archetypes.Registry import registerWidget
import config

class TruncatableStringWidget(StringWidget):

    _properties = StringWidget._properties.copy()
    _properties.update({
        'macro': 'flexdb_widgets/truncatablestring'
        })


    def truncate_string(self, string):

        size = config.truncatable_string_len

        index = string.rfind(' ', 0, size)
        truncated_string = string

        if len(string) > size and index != -1:
            truncated_string = string[0:index]
            truncated = True
        else:
            truncated = False

        return { 'truncated': truncated,
                 'truncated_string': truncated_string,
                 'string': string }


registerWidget(TruncatableStringWidget,
               title = 'TruncatableString',
               description = 'Renders field with a link to the current object',
               used_for = ('Products.Archetypes.Field.StringField', )
               )
