# -*- coding: utf-8 -*-

####################################################################
# FlexDB
# Guenther Starnberger <gst@sysfrog.org>
####################################################################

from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory

import config
# import MonkeyPatchATSENG

registerDirectory(config.SKINS_DIR, config.GLOBALS)

def initialize(context):
    # Import used types so that they are registered
    import FlexDB
    import FlexDBItem
    import FlexDBCategory

    content_types, constructors, ftis = process_types(
        listTypes(config.PROJECTNAME),
        config.PROJECTNAME)
    
    utils.ContentInit(
        config.PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = config.ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
